# ClientServerCommandGetResponse

ClientServerCommandGetResponse

## Get a specific server command for a client and server

> Fetch a server by its UUID for a specific client and server.

```json
{"openapi":"3.0.0","info":{"title":"MetalWorks API","version":"1.0"},"tags":[{"name":"ClientServerCommandGetResponse","description":"ClientServerCommandGetResponse"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"ClientServerCommandGetResponse":{"title":"ClientServerCommandGetResponse","description":"Server Command model","properties":{"uuid":{"title":"UUID","description":"Command UUID","type":"string","format":"uuid"},"server_uuid":{"title":"Server UUID","description":"Server UUID","type":"string","format":"uuid"},"payload":{"title":"Payload","description":"Command payload","properties":{"command":{"type":"string"}},"type":"object"},"state":{"title":"State","description":"Command state","type":"string","enum":["finished","pending","failed"]},"created_at":{"title":"Created At","description":"Created at timestamp","type":"string","format":"date-time"},"updated_at":{"title":"Updated At","description":"Updated at timestamp","type":"string","format":"date-time"}},"type":"object"}}},"paths":{"/api/v1/client/{clientId}/server/{serverUuid}/command/{commandUuid}":{"get":{"tags":["ClientServerCommandGetResponse"],"summary":"Get a specific server command for a client and server","description":"Fetch a server by its UUID for a specific client and server.","operationId":"ClientServerCommandGetController","parameters":[{"name":"clientId","in":"path","description":"ID of the client","required":true,"schema":{"type":"integer"}},{"name":"serverUuid","in":"path","description":"UUID of the server","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"commandUuid","in":"path","description":"UUID of the server command","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"properties":{"command":{"$ref":"#/components/schemas/ClientServerCommandGetResponse"}},"type":"object"}}}},"401":{"description":"Unauthenticated"},"404":{"description":"Server command not found","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object"}}}}}}}}}
```

## List server commands

> Retrieve a list of server commands with pagination.

```json
{"openapi":"3.0.0","info":{"title":"MetalWorks API","version":"1.0"},"tags":[{"name":"ClientServerCommandGetResponse","description":"ClientServerCommandGetResponse"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"ClientServerCommandGetResponse":{"title":"ClientServerCommandGetResponse","description":"Server Command model","properties":{"uuid":{"title":"UUID","description":"Command UUID","type":"string","format":"uuid"},"server_uuid":{"title":"Server UUID","description":"Server UUID","type":"string","format":"uuid"},"payload":{"title":"Payload","description":"Command payload","properties":{"command":{"type":"string"}},"type":"object"},"state":{"title":"State","description":"Command state","type":"string","enum":["finished","pending","failed"]},"created_at":{"title":"Created At","description":"Created at timestamp","type":"string","format":"date-time"},"updated_at":{"title":"Updated At","description":"Updated at timestamp","type":"string","format":"date-time"}},"type":"object"},"Paginator":{"title":"Paginator","description":"Pagination model","properties":{"from":{"title":"from","type":"integer"},"to":{"title":"to","type":"integer"},"total":{"title":"total","type":"integer"},"current_page":{"title":"current page","type":"integer"},"last_page":{"title":"last page","type":"integer"},"first_page_url":{"title":"first page url","type":"string"},"prev_page_url":{"title":"prev page url","type":"string"},"next_page_url":{"title":"next page url","type":"string"},"last_page_url":{"title":"last page url","type":"string"},"path":{"title":"path","type":"string"},"per_page":{"title":"per page","type":"integer"}},"type":"object"}}},"paths":{"/api/v1/client/{clientId}/server/{serverUuid}/command":{"get":{"tags":["ClientServerCommandGetResponse"],"summary":"List server commands","description":"Retrieve a list of server commands with pagination.","operationId":"ClientServerCommandListController","parameters":[{"name":"clientId","in":"path","description":"ID of the client","required":true,"schema":{"type":"integer"}},{"name":"serverUuid","in":"path","description":"UUID of the server","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","description":"Page number for pagination","schema":{"type":"integer"}},{"name":"perPage","in":"query","description":"Number of items per page","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"properties":{"commands":{"type":"array","items":{"$ref":"#/components/schemas/ClientServerCommandGetResponse"}},"paginator":{"$ref":"#/components/schemas/Paginator"}},"type":"object"}}}},"401":{"description":"Unauthenticated"}}}}}}
```

## Execute server commands

> Execute server commands on a delivered server, e.g. power-on, power-off and reboot.

```json
{"openapi":"3.0.0","info":{"title":"MetalWorks API","version":"1.0"},"tags":[{"name":"ClientServerCommandGetResponse","description":"ClientServerCommandGetResponse"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"ClientServerCommandPostRequest":{"title":"ClientServerCommand Request","description":"ClientServerCommand request model","properties":{"command":{"title":"Command","description":"Command to be executed on delivered server","type":"string"}},"type":"object"},"ClientServerCommandPostResponse":{"title":"ClientServer Response","description":"Response model for the created server command","properties":{"command":{"title":"Command","description":"Details of created server command","type":"array","items":{"$ref":"#/components/schemas/ClientServerCommandGetResponse"}}},"type":"object"},"ClientServerCommandGetResponse":{"title":"ClientServerCommandGetResponse","description":"Server Command model","properties":{"uuid":{"title":"UUID","description":"Command UUID","type":"string","format":"uuid"},"server_uuid":{"title":"Server UUID","description":"Server UUID","type":"string","format":"uuid"},"payload":{"title":"Payload","description":"Command payload","properties":{"command":{"type":"string"}},"type":"object"},"state":{"title":"State","description":"Command state","type":"string","enum":["finished","pending","failed"]},"created_at":{"title":"Created At","description":"Created at timestamp","type":"string","format":"date-time"},"updated_at":{"title":"Updated At","description":"Updated at timestamp","type":"string","format":"date-time"}},"type":"object"}}},"paths":{"/api/v1/client/{clientId}/server/{serverUuid}/command":{"post":{"tags":["ClientServerCommandGetResponse"],"summary":"Execute server commands","description":"Execute server commands on a delivered server, e.g. power-on, power-off and reboot.","operationId":"createClientServerCommand","parameters":[{"name":"clientId","in":"path","description":"ID of the client","required":true,"schema":{"type":"integer"}},{"name":"serverUuid","in":"path","description":"UUID of the server","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientServerCommandPostRequest"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientServerCommandPostResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthenticated"},"422":{"description":"Unprocessable Content"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/flex-metal/clientservercommandgetresponse-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
